Bug 498977 - (perl-XML-TokeParser) Review Request: perl-XML-TokeParser - Simplified interface to XML::Parser
Review Request: perl-XML-TokeParser - Simplified interface to XML::Parser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
http://search.cpan.org/dist/XML-TokeP...
:
Depends On:
Blocks: 497283
  Show dependency treegraph
 
Reported: 2009-05-04 12:22 EDT by Iain Arnell
Modified: 2010-07-26 18:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.05-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 19:35:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-05-04 12:22:00 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-XML-TokeParser.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-XML-TokeParser-0.05-1.fc12.src.rpm

Description:
XML::TokeParser provides a procedural ("pull mode") interface to
XML::Parser in much the same way that Gisle Aas' HTML::TokeParser provides
a procedural interface to HTML::Parser. XML::TokeParser splits its XML
input up into "tokens," each corresponding to an XML::Parser event.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1335514

*rt-0.09
Comment 1 Chris Weyl 2009-05-04 12:30:59 EDT
Looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1335514

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
d2267f1f416ecc96b67ad57c7748f29438d87bf3 XML-TokeParser-0.05.tar.gz
d2267f1f416ecc96b67ad57c7748f29438d87bf3 XML-TokeParser-0.05.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-XML-TokeParser-0.05-1.fc12.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-XML-TokeParser-0.05-1.fc12.noarch.rpm
perl(XML::TokeParser) = 0.05
perl-XML-TokeParser = 0.05-1.fc12
perl(XML::TokeParser::Token)  
====> requires for perl-XML-TokeParser-0.05-1.fc12.noarch.rpm
perl(Carp)  
perl(:MODULE_COMPAT_5.10.0)  
perl(strict)  
perl(vars)  
perl(XML::Parser)  

=====> perl-XML-TokeParser-0.05-1.fc12.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-XML-TokeParser-0.05-1.fc12.src.rpm
====> requires for perl-XML-TokeParser-0.05-1.fc12.src.rpm
perl(ExtUtils::MakeMaker)  
perl(XML::Parser) >= 2

APPROVED
Comment 2 Iain Arnell 2009-05-04 13:31:20 EDT
New Package CVS Request
=======================
Package Name: perl-XML-TokeParser
Short Description: Simplified interface to XML::Parser
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-05-04 16:53:25 EDT
cvs done.
Comment 4 Fedora Update System 2009-05-04 19:32:54 EDT
perl-XML-TokeParser-0.05-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-XML-TokeParser-0.05-1.fc11
Comment 5 Fedora Update System 2009-05-04 19:32:59 EDT
perl-XML-TokeParser-0.05-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-XML-TokeParser-0.05-1.fc10
Comment 6 Iain Arnell 2009-05-04 19:35:05 EDT
Thanks for the review! :-)
Comment 7 Fedora Update System 2009-05-13 22:53:20 EDT
perl-XML-TokeParser-0.05-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-13 22:58:07 EDT
perl-XML-TokeParser-0.05-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Iain Arnell 2010-07-25 23:36:43 EDT
Package Change Request
======================
Package Name: perl-XML-TokeParser
New Branches: EL-5
Owners: iarnell rlandmann
InitialCC: perl-sig
Comment 10 Iain Arnell 2010-07-25 23:43:13 EDT
Package Change Request
======================
Package Name: perl-XML-TokeParser
New Branches: EL-5 EL-6
Owners: iarnell rlandmann
InitialCC: perl-sig    

Grr. Another one in EL-6 optional for some archs only.
Comment 11 Kevin Fenzi 2010-07-26 18:26:52 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.